Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.eindex.objects
Class SystemObjectPK

    java.lang.Object
      com.stc.eindex.objects.SystemObjectPK

All Implemented Interfaces:
  java.io.Serializable

public class SystemObjectPK
extends java.lang.Object
implements java.io.Serializable

The SystemObjectPK class represents a system code and local ID pair. You perform different types of searches, such as an enterprise object search, a system object search, or an EUID search, using a SystemObjectPK object as the search criteria.

See Also:
  Serialized Form

Constructor Summary
`SystemObjectPK()` Creates a new instance of the SystemObjectPK class.
`SystemObjectPK(java.lang.String systems, java.lang.String lid)` Creates a new instance of the SystemObjectPK class.

Method Summary
`boolean` | `equals(java.lang.Object pk)` Compares two SystemObjectPK objects to determine whether the system and local ID pair in each object match.
`java.lang.String` | `toString()` Returns a string representation of the system code and local ID in an instance of SystemObjectPK.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SystemObjectPK

    public SystemObjectPK()

  Creates a new instance of the SystemObjectPK class.

  Parameters:
    None.

### SystemObjectPK

    public SystemObjectPK(java.lang.String systems,
                          java.lang.String lid)

  Creates a new instance of the SystemObjectPK class.

  Parameters:
    `systems` - The processing code of an external system.
    `lid` - A local ID in the specified system.

Method Detail

### equals

    public boolean equals(java.lang.Object pk)

  Compares two SystemObjectPK objects to determine whether the system and local ID pair in each object match.

  Parameters:
    `pk` - An object containing a local ID and system code.
  Returns:
    `boolean` - An indicator of whether two instances of SystemObjectPK match. This method returns true if the objects match, or false if they do not.
  Throws:
    None.

### toString

    public java.lang.String toString()

  Returns a string representation of the system code and local ID in an instance of SystemObjectPK.

  Parameters:
    None.

  Returns:
    `String` - A string representation of a SystemObjectPK object.
  Throws:
    None.

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007 by Sun Microsystems, Inc. All Rights Reserved.